<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up(): void
    {
        Schema::create('addon_modules', function (Blueprint $table) {
            $table->id();
            $table->string('name', 64)->unique();
            $table->enum('status', ['inactive', 'active'])->default('inactive')->index();
            $table->string('installed_version', 32);
            $table->timestamp('activated_at')->nullable();
            $table->timestamp('deactivated_at')->nullable();
            $table->timestamps();
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('addon_modules');
    }
};
